Need help with ATI's graphics driver installer

Discussion in 'Installation/Configuration' started by Wraithfire, Apr 6, 2006.

  1. Wraithfire

    Wraithfire New Member

    OK, so I've managed to compile my kernel update (2.6.16.1:D ), but now I'm having trouble installing ATI's graphics driver on my Debian sarge box. I keep getting an error message exactly like what this guy describes. Now I'm not using the same install method as he is, I'm doing this. Not sure what to do at this point; been banging my head against the wall for a few days now, any suggestions? I'd appreciate ANY help I can get :)
    Why in the hell can't ATI just release drivers for Debian anyways? sheesh
     
  2. Wraithfire

    Wraithfire New Member

    not sure if i linked this correctly, but I'm trying to output the error message i get from the ati driver installer
     

    Attached Files:

  3. falko

    falko Super Moderator ISPConfig Developer

    What's in /etc/apt/sources.list?

    Can you post the error directly to this forum instead of attaching a file? Then it's easier for us. :)
     
  4. Wraithfire

    Wraithfire New Member

    Creating directory fglrx-install
    Verifying archive integrity... All good.
    Uncompressing ATI Proprietary Linux
    Driver-8.23.7..............................................
    ...........................................................
    ...........................................................
    ...........................................................
    ...........................................................
    ................................................
    ==================================================
    .[31m ATI Technologies Linux Driver Installer/Packager .[0m
    ==================================================
    Generating package: Debian/sarge
    /tmp/fglrx /usr/src/fglrx-install
    Package build failed!
    Package build utility output:
    dpkg-buildpackage: source package is fglrx-installer
    dpkg-buildpackage: source version is 8.23.7-1
    dpkg-buildpackage: source maintainer is ATI Technologies
    Inc. <http://www.ati.com/support/driver.html>
    dpkg-buildpackage: host architecture is amd64
    debian/rules build
    dh_testdir
    debian/rules binary
    dh_testdir
    dh_testdir
    dh_testroot
    dh_clean -k
    dh_installdirs
    # Create the directories to install into
    dh_installdirs -pfglrx-driver \
    usr/X11R6 \
    usr/X11R6/bin \
    usr/X11R6/lib \
    usr/X11R6/lib/modules \
    usr/share/fglrx/diversions
    # the amd64 package includes 32bit compatibility libraries
    dh_installdirs -pfglrx-driver \
    emul/ia32-linux/usr/X11R6/lib \
    emul/ia32-linux/usr/X11R6/lib/modules \
    etc/X11/Xsession.d
    dh_installdirs -pfglrx-driver-dev \
    usr/X11R6 \
    usr/X11R6/include \
    usr/X11R6/lib \
    usr/include
    dh_installdirs -pfglrx-kernel-src \
    usr/src/modules/fglrx \
    usr/src/modules/fglrx/debian
    dh_installdirs -A -pfglrx-control-qt3 \
    usr/X11R6 \
    usr/X11R6/bin \
    usr/share \
    usr/share/applnk \
    usr/share/gnome \
    usr/share/icons \
    usr/share/pixmaps
    dh_installdirs -pfglrx-sources \
    usr/src
    dh_install
    dh_install -pfglrx-driver "usr/X11R6/bin/fgl*"
    "usr/X11R6/bin" dh_install -pfglrx-driver
    "usr/X11R6/bin/aticonfig" "usr/X11R6/bin" # amd64 needs
    some library redirection dh_install -pfglrx-driver
    "usr/X11R6/lib64/*.so*" "usr/X11R6/lib" dh_install
    -pfglrx-driver "usr/X11R6/lib64/modules/*"
    "usr/X11R6/lib/modules" dh_install -pfglrx-driver
    "usr/X11R6/lib/*.so*" "emul/ia32-linux/usr/X11R6/lib"
    dh_install -pfglrx-driver "usr/X11R6/lib/modules/*"
    "emul/ia32-linux/usr/X11R6/lib/modules" dh_install
    -pfglrx-driver "debian/70fglrx"
    "etc/X11/Xsession.d" dh_install -pfglrx-driver-dev
    "usr/X11R6/lib64/*.a" "usr/X11R6/lib" dh_install
    -pfglrx-driver-dev "usr/X11R6/include/*"
    "usr/X11R6/include" dh_install -pfglrx-driver-dev
    "usr/include/*" "usr/include" dh_install
    -pfglrx-kernel-src \ lib/modules/fglrx/build_mod/*.c
    \
    lib/modules/fglrx/build_mod/*.h \
    lib/modules/fglrx/build_mod/*.sh \
    lib/modules/fglrx/build_mod/lib* \
    lib/modules/fglrx/build_mod/2.6.x/Makefile \
    usr/src/modules/fglrx
    dh_install -pfglrx-kernel-src "debian/changelog"
    "usr/src/modules/fglrx/debian" dh_install
    -pfglrx-kernel-src \
    debian/copyright \
    debian/compat \
    module/rules \
    module/control.template \
    module/dirs.template \
    module/postinst \
    usr/src/modules/fglrx/debian
    (cd debian/fglrx-kernel-src/usr/src \
    && chown -R root:src modules \
    && tar -c modules | bzip2 > fglrx.tar.bz2 \
    && rm -rf modules)
    # install panel files
    dh_install -A -pfglrx-control-qt3
    "usr/X11R6/bin/fireglcontrolpanel" "usr/X11R6/bin"
    dh_install -A -pfglrx-control-qt3 "usr/share/icons/ati.xpm"
    "usr/share/icons" dh_install -A -pfglrx-control-qt3
    "usr/share/icons/ati.xpm" "usr/share/pixmaps" dh_install -A
    -pfglrx-control-qt3
    "usr/share/gnome/apps/fireglcontrol.desktop"
    "usr/share/gnome/apps" dh_install -A -pfglrx-control-qt3
    "usr/share/applnk/fireglcontrol.kdelnk" "usr/share/applnk"
    dh_install -pfglrx-sources "usr/src/*" "usr/src"
    dh_installdocs
    dh_installdocs -pfglrx-driver usr/share/doc/fglrx/*
    #dh_installchangelogs
    dh_link
    dh_strip
    dh_compress
    dh_makeshlibs
    dh_installdeb
    LD_PRELOAD= dh_shlibdeps
    dpkg-shlibdeps: warning: could not find path for
    libfglrx_gamma.so.1 dpkg-shlibdeps: warning: could not find
    path for libfglrx_pp.so.1 /usr/bin/ldd: line 1:
    /lib/ld-linux.so.2: No such file or directory ldd:
    /lib/ld-linux.so.2 exited with unknown exit code (127)
    dpkg-shlibdeps: failure: ldd on
    `debian/fglrx-driver/emul/ia32-linux/usr/X11R6/lib/modules/
    dri/fglrx_dri.so' gave error exit status 1
    dh_shlibdeps: command returned error code 256
    make: *** [binary] Error 1
    /usr/src/fglrx-install
    Removing temporary directory: fglrx-install

    Ok finally figured out how to post a file using lynx, this
    is the error i get using ati's driver installer. I am
    running an amd athlon 64 on Debian 3.1 Sarge with kernel
    2.6.16.1 I think the problem has to do with this damn
    installer supporting only SUSE and redhat, something I
    read somewhere about the installer trying to install 32
    libraries on my 64 bit OS. Not sure about that really.
     
  5. Wraithfire

    Wraithfire New Member

  6. falko

    falko Super Moderator ISPConfig Developer

    What's the output of
    Code:
    which ldd
    and
    Code:
    ls -la /lib/ld-linux.so.2
    ?
     
  7. Wraithfire

    Wraithfire New Member

    Well
    Code:
     which ldd 
    returns /usr/bin/ldd
    and
    Code:
     ls -la /lib/ld-linux.so.2 
    retruns no such file or directory
    :confused:
     
  8. Wraithfire

    Wraithfire New Member

    In my /lib directory, there is an ld-2.3.2.so file and just below it is a link file ld -linux-x86_64.so.2 -> ld-2.3.2.so
     
  9. falko

    falko Super Moderator ISPConfig Developer

    Please do this:
    Code:
    apt-get install apt-file
    apt-file update
    apt-file search ld-linux.so.2
    What's the output of the last command?
     
  10. Wraithfire

    Wraithfire New Member

    Code:
     apt-get install apt-file 
    done, no problems there
    Code:
     apt-file update 
    returned:
    Use of uninitialized value in concatenation (.) or string at /usr/bin/apt-file line 311.
    --15:44:57-- http://mirror.espri.arizona.edu/debian-amd64/debian/dists/stable/Contents-amd64.gz
    => `/var/cache/apt/mirror.espri.arizona.edu_debian-amd64_debian_dists_stable_Contents-amd64.gz'
    Resolving mirror.espri.arizona.edu... 150.135.81.231
    Connecting to mirror.espri.arizona.edu[150.135.81.231]:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 7,427,750 [application/octet-stream]

    0K .......... .......... .......... .......... .......... 0% 210.43 KB/s
    50K .......... .......... .......... .......... .......... 1% 514.07 KB/s
    100K .......... .......... .......... .......... .......... 2% 626.52 KB/s
    150K .......... .......... .......... .......... .......... 2% 769.28 KB/s
    200K .......... .......... .......... .......... .......... 3% 781.08 KB/s
    blah blah downloading...

    15:45:08 (709.93 KB/s) - `/var/cache/apt/mirror.espri.arizona.edu_debian-amd64_debian_dists_stable_Contents-amd64.gz' saved [7427750/7427750]

    --15:45:08-- http://security.debian.org//dists/stable/updates/Contents-amd64.gz
    => `/var/cache/apt/security.debian.org_dists_stable_updates_Contents-amd64.gz'
    Resolving security.debian.org... 128.101.240.212, 194.109.137.218
    Connecting to security.debian.org[128.101.240.212]:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    15:45:08 ERROR 404: Not Found.
    and
    Code:
     apt-file search ld-linux.so.2 
    returned
    ia32-libs: emul/ia32-linux/lib/ld-linux.so.2
    ia32-libs: emul/ia32-linux/lib/tls/ld-linux.so.2
    ia32-libs: lib/ld-linux.so.2

    although ld-linux.so.2 still is not in the /lib directory.
    i can't help but wonder if i'd be having this problem if i'd bought an Nvidia video card... :
     
    Last edited: Apr 8, 2006
  11. falko

    falko Super Moderator ISPConfig Developer

    Please install ia32-libs:
    Code:
    apt-get install ia32-libs
     
  12. Wraithfire

    Wraithfire New Member

    ok so installing ia32-libs worked great and i was able to build my debian sarge ati driver packages.
    Hit another roadblock when i tried to auto install fglrx with module-assistant:

    dh_testroot
    rm -f configure-stamp
    rm -f fglrx.ko fglrx.mod.c *.o libfglrx_ip.a
    rm -f .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
    rm -rf .tmp_versions
    rm -rf patch
    dh_clean
    rm /usr/src/modules/fglrx/debian/control
    rm /usr/src/modules/fglrx/debian/dirs
    if [ -f /usr/src/modules/fglrx/debian/control.template ]; then \
    cat /usr/src/modules/fglrx/debian/control.template > /usr/src/modules/fglrx/debian/control; \
    fi
    if [ -f /usr/src/modules/fglrx/debian/postinst ]; then \
    mv /usr/src/modules/fglrx/debian/postinst /usr/src/modules/fglrx/debian/fglrx-kernel-2.6.16.1Hellfire.postinst; \
    fi
    dh_testdir
    touch configure-stamp
    dh_testdir
    /usr/bin/make -C /usr/src/linux SUBDIRS=/usr/src/modules/fglrx modules
    make[1]: Entering directory `/usr/src/linux-2.6.16.1'
    CC [M] /usr/src/modules/fglrx/agp3.o
    CC [M] /usr/src/modules/fglrx/nvidia-agp.o
    CC [M] /usr/src/modules/fglrx/agpgart_be.o
    /usr/src/modules/fglrx/agpgart_be.c: In function `__fgl_agp_init':
    /usr/src/modules/fglrx/agpgart_be.c:8175: warning: `pm_register' is deprecated (declared at include/linux/pm_legacy.h:16)
    /usr/src/modules/fglrx/agpgart_be.c: In function `__fgl_agp_cleanup':
    /usr/src/modules/fglrx/agpgart_be.c:8185: warning: `pm_unregister_all' is deprecated (declared at include/linux/pm_legacy.h:26)
    /usr/src/modules/fglrx/agpgart_be.c: At top level:
    /usr/src/modules/fglrx/agpgart_be.c:6079: warning: `ati_gart_base' defined but not used
    CC [M] /usr/src/modules/fglrx/i7505-agp.o
    CC [M] /usr/src/modules/fglrx/firegl_public.o
    In file included from /usr/src/modules/fglrx/firegl_public.c:162:
    /usr/src/modules/fglrx/firegl_public.h:268:5: warning: "FIREGL_VMA_INFO" is not defined
    In file included from /usr/src/modules/fglrx/drm_proc.h:41,
    from /usr/src/modules/fglrx/firegl_public.c:333:
    /usr/src/modules/fglrx/drmP.h:561:5: warning: "__HAVE_VBL_IRQ" is not defined
    /usr/src/modules/fglrx/drmP.h:664:5: warning: "__HAVE_VBL_IRQ" is not defined
    /usr/src/modules/fglrx/drmP.h:936:5: warning: "__HAVE_SG" is not defined
    /usr/src/modules/fglrx/firegl_public.c:407:5: warning: "FIREGL_VMA_INFO" is not defined
    /usr/src/modules/fglrx/firegl_public.c:426:5: warning: "FIREGL_VMA_INFO" is not defined
    /usr/src/modules/fglrx/firegl_public.c: In function `firegl_stub_putminor':
    /usr/src/modules/fglrx/firegl_public.c:581: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:575)
    /usr/src/modules/fglrx/firegl_public.c:583: warning: `inter_module_unregister' is deprecated (declared at include/linux/module.h:572)
    /usr/src/modules/fglrx/firegl_public.c: In function `firegl_stub_register':
    /usr/src/modules/fglrx/firegl_public.c:603: warning: `inter_module_register' is deprecated (declared at include/linux/module.h:571)
    /usr/src/modules/fglrx/firegl_public.c:634: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:575)
    /usr/src/modules/fglrx/firegl_public.c: In function `firegl_put_user_ptr':
    /usr/src/modules/fglrx/firegl_public.c:1317: warning: cast from pointer to integer of different size
    /usr/src/modules/fglrx/firegl_public.c:1317: warning: cast from pointer to integer of different size
    /usr/src/modules/fglrx/firegl_public.c:1317: warning: cast from pointer to integer of different size
    /usr/src/modules/fglrx/firegl_public.c:1317: warning: cast from pointer to integer of different size
    /usr/src/modules/fglrx/firegl_public.c: In function `__ke_no_iommu':
    /usr/src/modules/fglrx/firegl_public.c:2356: error: `no_iommu' undeclared (first use in this function)
    /usr/src/modules/fglrx/firegl_public.c:2356: error: (Each undeclared identifier is reported only once
    /usr/src/modules/fglrx/firegl_public.c:2356: error: for each function it appears in.)
    /usr/src/modules/fglrx/firegl_public.c: In function `__ke_unregister_ioctl32_conversion':
    /usr/src/modules/fglrx/firegl_public.c:2533: warning: `return' with a value, in function returning void
    /usr/src/modules/fglrx/firegl_public.c: At top level:
    /usr/src/modules/fglrx/firegl_public.c:3621: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3622: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3623: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3624: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3625: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3626: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3627: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3628: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3630: warning: initialization from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c:3640: warning: function declaration isn't a prototype
    /usr/src/modules/fglrx/firegl_public.c: In function `test_inter_module_interface':
    /usr/src/modules/fglrx/firegl_public.c:3706: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:575)
    /usr/src/modules/fglrx/firegl_public.c:3712: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:575)
    /usr/src/modules/fglrx/firegl_public.c: In function `__ke_agp_allocate_memory_phys_list':
    /usr/src/modules/fglrx/firegl_public.c:3970: warning: passing arg 3 of pointer to function makes integer from pointer without a cast
    /usr/src/modules/fglrx/firegl_public.c: In function `__ke_agp_bind_memory':
    /usr/src/modules/fglrx/firegl_public.c:4009: warning: passing arg 1 of pointer to function from incompatible pointer type
    /usr/src/modules/fglrx/firegl_public.c: In function `__ke_agp_unbind_memory':
    /usr/src/modules/fglrx/firegl_public.c:4022: warning: passing arg 1 of pointer to function from incompatible pointer type
    make[2]: *** [/usr/src/modules/fglrx/firegl_public.o] Error 1
    make[1]: *** [_module_/usr/src/modules/fglrx] Error 2
    make[1]: Leaving directory `/usr/src/linux-2.6.16.1'
    make: *** [build] Error 2

    Not sure what happened here, is this a problem with kernel modules or something?
    And also, I was wondering since i have agpgart enabled in my kernel (I checked in the menuconfig and can't seem to be able to remove the module) will this affect my 3d performance at all? According to ATI it's best to remove this in order to use fglrx internal AGP support, but I'm not sure how to do that.

    BTW, thanks for volunteering all this time and help, mucho appreciado hombre! :)
     
  13. falko

    falko Super Moderator ISPConfig Developer

    Hm, this time the error messages are very cryptic... :( Have you googled a bit?
     
  14. Wraithfire

    Wraithfire New Member

    Heck i got nothing, tried lookin around the web to no avail. Do you think the problem might be that i have a pci-e mobo as opposed to an agp?:confused:
     
  15. Wraithfire

    Wraithfire New Member

    ok so i recompiled the kernel and removed K8 GART IOMMU support and i was able to mod assist a-i fglrx.
    I ran
    Code:
     dpkg-reconfigure xserver-xfree86 
    and then i rebooted. When i started x, i got this error:
    XFree86 Version 4.3.0.1 (Debian 4.3.0.dfsg.1-14sarge1 20050915192417 root@bester.farm.ftbfs.de)
    Release Date: 15 August 2003
    X Protocol Version 11, Revision 0, Release 6.6
    Build Operating System: Linux 2.6.11.6-vs195-farm1.0 x86_64 [ELF]
    Build Date: 15 September 2005

    Module Loader present
    OS Kernel: Linux version 2.6.16.1 (root@Hellfury) (gcc version 3.3.5 (Debian 1:3.3.5-13)) #1 PREEMPT Mon Apr 10 05:10:52 PDT 2006
    Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    (==) Log file: "/var/log/XFree86.0.log", Time: Mon Apr 10 06:56:25 2006
    (==) Using config file: "/etc/X11/XF86Config-4"
    (==) ServerLayout "Default Layout"
    (**) |-->Screen "aticonfig Screen 0" (0)
    (**) | |-->Monitor "aticonfig Monitor 0"
    (**) | |-->Device "ATI Graphics Adapter 0"
    (**) |-->Input Device "Generic Keyboard"
    (**) Option "XkbRules" "xfree86"
    (**) XKB: rules: "xfree86"
    (**) Option "XkbModel" "pc105"
    (**) XKB: model: "pc105"
    (**) Option "XkbLayout" "us"
    (**) XKB: layout: "us"
    (==) Keyboard: CustomKeycode disabled
    (**) |-->Input Device "Configured Mouse"
    (WW) The directory "/usr/lib/X11/fonts/cyrillic" does not exist.
    Entry deleted from font path.
    (WW) The directory "/usr/lib/X11/fonts/CID" does not exist.
    Entry deleted from font path.
    (**) FontPath set to "unix/:7100,/usr/lib/X11/fonts/misc,/usr/lib/X11/fonts/100dpi/:unscaled,/usr/lib/X11/fonts/75dpi/:unscaled,
    /usr/lib/X11/fonts/Type1,/usr/lib/X11/fonts/Speedo,/usr/lib/X11/fonts/100dpi,/usr/lib/X11/fonts/75dpi"
    (==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
    (==) ModulePath set to "/usr/X11R6/lib/modules"
    (--) using VT number 7

    (WW) Open APM failed (/dev/apm_bios) (No such file or directory)
    (II) Module ABI versions:
    XFree86 ANSI C Emulation: 0.2
    XFree86 Video Driver: 0.6
    XFree86 XInput driver : 0.4
    XFree86 Server Extension : 0.2
    XFree86 Font Renderer : 0.4
    (II) Loader running on linux
    (II) LoadModule: "bitmap"
    (II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
    (II) Module bitmap: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    Module class: XFree86 Font Renderer
    ABI class: XFree86 Font Renderer, version 0.4
    (II) Loading font Bitmap
    (II) LoadModule: "pcidata"
    (II) Loading /usr/X11R6/lib/modules/libpcidata.a
    (II) Module pcidata: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    ABI class: XFree86 Video Driver, version 0.6
    (II) PCI: Probing config type using method 1
    (II) PCI: 05:00:1: chip 1002,556d card 1002,0303 rev 00 class 03,80,00 hdr 00
    (II) PCI: End of PCI scan
    (II) PCI-to-ISA bridge:
    (II) Bus -1: bridge is at (0:1:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
    (II) Subtractive PCI-to-PCI bridge:
    (II) Bus 1: bridge is at (0:9:0), (0,1,1), BCTRL: 0x0204 (VGA_EN is cleared)
    (II) Bus 1 I/O range:
    [0] -1 0 0x0000a000 - 0x0000a0ff (0x100) IX
    [1] -1 0 0x0000a400 - 0x0000a4ff (0x100) IX
    [2] -1 0 0x0000a800 - 0x0000a8ff (0x100) IX
    [3] -1 0 0x0000ac00 - 0x0000acff (0x100) IX
    (II) Bus 1 non-prefetchable memory range:
    [0] -1 0 0xfe900000 - 0xfe9fffff (0x100000) MX
    (II) Bus 1 prefetchable memory range:
    [0] -1 0 0xfea00000 - 0xfeafffff (0x100000) MX
    (II) PCI-to-PCI bridge:
    (II) Bus 2: bridge is at (0:11:0), (0,2,2), BCTRL: 0x0004 (VGA_EN is cleared)
    (II) Bus 2 I/O range:
    [0] -1 0 0x00009000 - 0x000090ff (0x100) IX
    [1] -1 0 0x00009400 - 0x000094ff (0x100) IX
    [2] -1 0 0x00009800 - 0x000098ff (0x100) IX
    [3] -1 0 0x00009c00 - 0x00009cff (0x100) IX

    (II) LoadModule: "GLcore"
    (II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
    (II) Module GLcore: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.2
    (II) LoadModule: "bitmap"
    (II) Reloading /usr/X11R6/lib/modules/fonts/libbitmap.a
    (II) Loading font Bitmap
    (II) LoadModule: "dbe"
    (II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
    (II) Module dbe: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    Module class: XFree86 Server Extension
    ABI class: XFree86 Server Extension, version 0.2
    (II) Loading extension DOUBLE-BUFFER
    (II) LoadModule: "ddc"
    (II) Loading /usr/X11R6/lib/modules/libddc.a
    (II) Module ddc: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    ABI class: XFree86 Video Driver, version 0.6
    (II) LoadModule: "dri"
    (II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
    (II) Module dri: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.2
    (II) Loading sub module "drm"
    (II) LoadModule: "drm"
    (II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
    (II) Module drm: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.2
    (II) Loading extension XFree86-DRI
    (II) LoadModule: "extmod"
    (II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
    (II) Module extmod: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    Module class: XFree86 Server Extension
    ABI class: XFree86 Server Extension, version 0.2
    (II) Loading extension SHAPE
    (II) Loading extension MIT-SUNDRY-NONSTANDARD
    (II) Loading extension BIG-REQUESTS
    (II) Loading extension SYNC
    (II) Loading extension MIT-SCREEN-SAVER
    (II) Loading extension XC-MISC
    (II) Loading extension XFree86-VidModeExtension
    (II) Loading extension XFree86-Misc
    (II) Loading extension XFree86-DGA
    (II) Loading extension DPMS
    (II) Loading extension FontCache
    (II) Loading extension TOG-CUP
    (II) Loading extension Extended-Visual-Information
    (II) Loading extension XVideo
    (II) Loading extension XVideo-MotionCompensation
    (II) Loading extension X-Resource
    (II) LoadModule: "freetype"
    (II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
    (II) Module freetype: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 2.0.2
    Module class: XFree86 Font Renderer
    ABI class: XFree86 Font Renderer, version 0.4
    (II) Loading font FreeType
    (II) LoadModule: "glx"
    (II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
    (II) Module glx: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.2
    (II) Loading sub module "GLcore"
    (II) LoadModule: "GLcore"
    (II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
    (II) Loading extension GLX
    (II) LoadModule: "int10"
    (II) Loading /usr/X11R6/lib/modules/linux/libint10.a
    (II) Module int10: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.0
    ABI class: XFree86 Video Driver, version 0.6
    (II) LoadModule: "record"
    (II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
    (II) Module record: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.13.0
    Module class: XFree86 Server Extension
    ABI class: XFree86 Server Extension, version 0.2
    (II) Loading extension RECORD
    (II) LoadModule: "speedo"
    (II) Loading /usr/X11R6/lib/modules/fonts/libspeedo.a
    (II) Module speedo: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.1
    Module class: XFree86 Font Renderer
    ABI class: XFree86 Font Renderer, version 0.4
    (II) Loading font Speedo
    (II) LoadModule: "type1"
    (II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
    (II) Module type1: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.0.2
    Module class: XFree86 Font Renderer
    ABI class: XFree86 Font Renderer, version 0.4
    (II) Loading font Type1
    (II) Loading font CID
    (II) LoadModule: "vbe"
    (II) Loading /usr/X11R6/lib/modules/libvbe.a
    (II) Module vbe: vendor="The XFree86 Project"
    compiled for 4.3.0.1, module version = 1.1.0
    ABI class: XFree86 Video Driver, version 0.6
    (II) LoadModule: "fglrx"
    (II) Loading /usr/X11R6/lib/modules/drivers/fglrx_drv.o
    Duplicate symbol rol_long in /usr/X11R6/lib/modules/drivers/fglrx_drv.o
    Also defined in /usr/X11R6/lib/modules/linux/libint10.a
    module load failure server load failure
    not sure what to do here, am i even using the fglrx driver i just compiled or am i missing a module of some sort? :confused:
     
    Last edited: Apr 11, 2006
  16. Wraithfire

    Wraithfire New Member

    Well believe it or not i got the GUI to work. I edited the /etc/X11/XF86Config-4 file and commented out
    Load "int10" in the "Module" section, and when i rebooted it worked!
    Bad news is after i run fglrxinfo, it shiws the mesa drivers and not my ATI compiled ones :(
    when i modprobe -v fglrx , i get a bunch of unresolved symbols
     
  17. falko

    falko Super Moderator ISPConfig Developer

    Can you post the output of
    Code:
    fglrxinfo
    and
    Code:
    modprobe -v fglrx
    ?
     
  18. Wraithfire

    Wraithfire New Member

    fglrxinfo returns:
    wraithfire@Hellfury:~$ fglrxinfo
    display: :0.0 screen: 0
    OpenGL vendor string: Mesa project: www.mesa3d.org
    OpenGL renderer string: Mesa GLX Indirect
    OpenGL version string: 1.3 Mesa 4.0.4

    modprobe -v fglrx returns:
    Hellfury:/home/wraithfire# modprobe -v fglrx
    insmod /lib/modules/2.6.16.1/misc/fglrx.ko
    FATAL: Error inserting fglrx (/lib/modules/2.6.16.1/misc/fglrx.ko): Operation not permitted

    now last night i recompiled the kernel with agpgart support and added UseInternalAGPGART yes to XF86Config-4, as suggested by a post somewhere, because originally i was getting a ton of unresolved symbols from modprobe.
     
  19. falko

    falko Super Moderator ISPConfig Developer

    Can you add fglrx to /etc/modules and reboot? What does
    Code:
    fglrxinfo
    show then?
     
  20. Wraithfire

    Wraithfire New Member

    ok done but i get the same thing:
    wraithfire@Hellfury:~$ fglrxinfo
    display: :0.0 screen: 0
    OpenGL vendor string: Mesa project: www.mesa3d.org
    OpenGL renderer string: Mesa GLX Indirect
    OpenGL version string: 1.3 Mesa 4.0.4

    Do i need to go bcak and remove agpgart from kernel and XF86Config-4 as well?
    just in case it matters here my XF86Config-4 file:
    # XF86Config-4 (XFree86 X Window System server configuration file)
    #
    # This file was generated by dexconf, the Debian X Configuration tool, using
    # values from the debconf database.
    #
    # Edit this file with caution, and see the XF86Config-4 manual page.
    # (Type "man XF86Config-4" at the shell prompt.)
    #
    # This file is automatically updated on xserver-xfree86 package upgrades *only*
    # if it has not been modified since the last upgrade of the xserver-xfree86
    # package.
    #
    # If you have edited this file but would like it to be automatically updated
    # again, run the following commands as root:
    #
    # cp /etc/X11/XF86Config-4 /etc/X11/XF86Config-4.custom
    # md5sum /etc/X11/XF86Config-4 >/var/lib/xfree86/XF86Config-4.md5sum
    # dpkg-reconfigure xserver-xfree86

    Section "ServerLayout"
    Identifier "Default Layout"
    Screen 0 "aticonfig Screen 0" 0 0
    InputDevice "Generic Keyboard"
    InputDevice "Configured Mouse"
    EndSection

    Section "Files"

    # local font server
    # if the local font server has problems, we can fall back on these
    FontPath "unix/:7100"
    FontPath "/usr/lib/X11/fonts/misc"
    FontPath "/usr/lib/X11/fonts/cyrillic"
    FontPath "/usr/lib/X11/fonts/100dpi/:unscaled"
    FontPath "/usr/lib/X11/fonts/75dpi/:unscaled"
    FontPath "/usr/lib/X11/fonts/Type1"
    FontPath "/usr/lib/X11/fonts/CID"
    FontPath "/usr/lib/X11/fonts/Speedo"
    FontPath "/usr/lib/X11/fonts/100dpi"
    FontPath "/usr/lib/X11/fonts/75dpi"
    EndSection

    Section "Module"
    Load "GLcore"
    Load "bitmap"
    Load "dbe"
    Load "ddc"
    Load "dri"
    Load "extmod"
    Load "freetype"
    Load "glx"
    # Load "int10"
    Load "record"
    Load "speedo"
    Load "type1"
    Load "vbe"
    SubSection "extmod"
    Option "omit xfree86-dga"
    EndSubSection
    EndSection

    Section "InputDevice"
    Identifier "Generic Keyboard"
    Driver "keyboard"
    Option "CoreKeyboard"
    Option "XkbRules" "xfree86"
    Option "XkbModel" "pc105"
    Option "XkbLayout" "us"
    EndSection

    Section "InputDevice"
    Identifier "Configured Mouse"
    Driver "mouse"
    Option "CorePointer"
    Option "Device" "/dev/input/mice"
    Option "Protocol" "ImPS/2"
    Option "Emulate3Buttons" "true"
    Option "ZAxisMapping" "4 5"
    EndSection

    Section "Monitor"
    Identifier "Generic Monitor"
    HorizSync 60.0 - 70.0
    VertRefresh 60.0 - 75.0
    Option "DPMS"
    EndSection

    Section "Monitor"
    Identifier "aticonfig Monitor 0"
    EndSection

    Section "Device"
    Identifier "Generic Video Card"
    Driver "ati"
    EndSection

    Section "Device"
    Identifier "ATI Graphics Adapter 0"
    Driver "fglrx"
    BusID "PCI:5:0:0"
    EndSection

    Section "Device"
    Identifier "ATI X800XL pci-e"
    Driver "fglrx"
    BusID "PCI:5:0:0"
    Option "UseInternalAGPGART""yes"

    EndSection

    Section "Screen"

    # the usual Display subsections
    Identifier "Fglrx Screen"
    Device "ATI X800XL pci-e"
    Monitor "Generic Monitor"
    DefaultDepth 24
    SubSection "Display"
    Depth 24
    Modes "1280x1024"
    EndSubSection
    EndSection

    Section "Screen"
    Identifier "Default Screen"
    Device "Generic Video Card"
    Monitor "Generic Monitor"
    DefaultDepth 24
    SubSection "Display"
    Depth 1
    Modes "800x600" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 4
    Modes "800x600" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 8
    Modes "800x600" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 15
    Modes "800x600" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 16
    Modes "800x600" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 24
    Modes "800x600" "640x480"
    EndSubSection
    EndSection

    Section "Screen"
    Identifier "aticonfig Screen 0"
    Device "ATI Graphics Adapter 0"
    Monitor "aticonfig Monitor 0"
    DefaultDepth 24
    SubSection "Display"
    Viewport 0 0
    Depth 24
    EndSubSection
    EndSection

    Section "DRI"
    Mode 0666
    EndSection
     

Share This Page